package server;

import java.rmi.*;

import compute.*;

public class MathServerImpl implements MathServer {
	
	// pro potrebu serializace (marshalingu)
	private static final long serialVersionUID = -1937161867341487386L;

	public MathServerImpl() throws RemoteException {
		super();
		}

	public int secti(int a, int b) throws RemoteException {
		int result;
		result=a+b;
		System.out.println("Server: " + a + " + " + b + " = " + result);
		return result;
	}

	@Override
	public int sectiN(String name, int a, int b) throws RemoteException {
		int result;
		result=a+b;
		System.out.println("Server: " + a + " + " + b + " = " + result);
		return result;
	}

	@Override
	public int sectiPole(String name, int a[]) throws RemoteException {
		int result=0;
		int x = a.length;
		for (int i=0;i<x;i++){
			result=result+a[i];
		}
		System.out.println("Server: seètení pole " + " = " + result);
		return result;
	}

	@Override
	public float deleni(float a, float b) throws RemoteException {
		float result;
		result=a/b;
		if(b==0.0){
			//new Exception;
			System.out.println("Dìlení nulou!");
			return 0;
		}
		System.out.println("Server: " + a + " / " + b + " = " + result);
		return result;
	}
	
}